clear variables;
DirName1=['../../Fig1_A4/Fig1b'];
DirName0=pwd;
OutDir='../..';

eigvec=dlmread([OutDir,'/vector_PCA.txt']);

%%
ProjNam='mu_paraset1'; Wtotlist1=[0.1,0.3,0.5,0.7,0.9];

numd=1; Nlis=[2,59:60]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/mu_0.1_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}',Ar{3}']');
numd=2; Nlis=[11:13]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/mu_0.3_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}',Ar{3}']');
numd=3; Nlis=[1,3:4]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/mu_0.5_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}',Ar{3}']');
numd=4; Nlis=[5,7:8]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/mu_0.7_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}',Ar{3}']');
numd=5; Nlis=[6,9:10]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/mu_0.9_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec1(numd,1:3)=mean([Ar{1}',Ar{2}',Ar{3}']');

Jvec1=eigvec'*Fvec1';

%%
ProjNam='mu_paraset2'; Wtotlist1=[0.02,0.05,0.1,0.3,0.5,0.7,0.9];

numd=1; Nlis=[2941:2942]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/mu_0.02_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=2; Nlis=[2943:2944]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/mu_0.05_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=3; Nlis=[2915:2916]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/mu_0.10_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=4; Nlis=[2917:2918]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/mu_0.30_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=5; Nlis=[2919:2920]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/mu_0.50_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=6; Nlis=[2921:2922]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/mu_0.70_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');
numd=7; Nlis=[2923:2924]; clearvars Ar;
for jj=1:length(Nlis)
    Ar{jj}=dlmread([DirName0,'/data/',ProjNam,'/mu_0.90_',num2str(jj),'/r2_cond',num2str(Nlis(jj)),'.txt']);
end
Fvec2(numd,1:3)=mean([Ar{1}',Ar{2}']');

Jvec2=eigvec'*Fvec2';

%%
ProjNam1='Dicty_WTStarved'; Nmax1=19;
for ii=1:Nmax1
    JDictyStarved(ii,:)=mean(dlmread([DirName1,'/',ProjNam1,'/data',num2str(ii),'/r2_cond',num2str(ii),'.txt']));
end

ProjNam2='HL60_WT'; Nmax2=23;
for ii=1:Nmax2
    JHL60_WT(ii,:)=mean(dlmread([DirName1,'/',ProjNam2,'/data',num2str(ii),'/r2_cond',num2str(ii),'.txt']));
end

ProjNam3='Keratocyte'; Nmax3=12;
for ii=1:Nmax3
    JKeratocyte(ii,:)=mean(dlmread([DirName1,'/',ProjNam3,'/data',num2str(ii),'/r2_cond',num2str(ii),'.txt']));
end

JDic7=eigvec'*JDictyStarved';
JHL60=eigvec'*JHL60_WT';
JKera=eigvec'*JKeratocyte';

%%
figure,
plot(JDic7(1,:)',JDic7(2,:)','+','LineWidth',8,'Color',[25 169 72]/255);
hold on;
plot(JHL60(1,:)',JHL60(2,:)','+','LineWidth',8,'Color',[152 0 46]/255);
plot(JKera(1,:)',JKera(2,:)','+','LineWidth',8,'Color',[236 240 39]/255);
plot(Jvec1(1,:)',Jvec1(2,:)','o-','LineWidth',3,'Color','k');
plot(Jvec2(1,:)',Jvec2(2,:)','o-','LineWidth',3,'Color','b');
hold off;
set(gca,'FontSize',17);
fig = gcf;
fig.Color = 'white';
fig.InvertHardcopy = 'off';
xlim([-15e4 8e4]); ylim([-5e4 12e4]); 
saveas(gcf,['./Fig2k'],'epsc');
F=getframe(gcf);
imwrite(uint8(F.cdata),['./Fig2k.png'],'png');
